---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_x86-64_mac_Nightly/build/macosx-x86_64-server-release/support/test/hotspot/jtreg/native/lib/liblinetab001.dylib'
relocations:
  - { offsetInCU: 0x6C3, offset: 0x6C3, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x4FC60, symBinAddr: 0xC220, symSize: 0x0 }
  - { offsetInCU: 0x6EA, offset: 0x6EA, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x51BA0, symBinAddr: 0xE160, symSize: 0x0 }
  - { offsetInCU: 0x70C, offset: 0x70C, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x51F90, symBinAddr: 0xE550, symSize: 0x0 }
  - { offsetInCU: 0x72E, offset: 0x72E, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x52F30, symBinAddr: 0xF4F0, symSize: 0x0 }
  - { offsetInCU: 0x743, offset: 0x743, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x52F40, symBinAddr: 0xF500, symSize: 0x0 }
  - { offsetInCU: 0x7BE, offset: 0x7BE, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x4F8D0, symBinAddr: 0xC0D0, symSize: 0x0 }
  - { offsetInCU: 0x7C9, offset: 0x7C9, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x4F8D4, symBinAddr: 0xC0D4, symSize: 0x0 }
  - { offsetInCU: 0x7D4, offset: 0x7D4, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x4F8D8, symBinAddr: 0xC0D8, symSize: 0x0 }
  - { offsetInCU: 0x819, offset: 0x819, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x4FA30, symBinAddr: 0xC0E0, symSize: 0x0 }
  - { offsetInCU: 0x892, offset: 0x892, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x4FAE8, symBinAddr: 0xC198, symSize: 0x0 }
  - { offsetInCU: 0x8B0, offset: 0x8B0, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x4FAEC, symBinAddr: 0xC19C, symSize: 0x0 }
  - { offsetInCU: 0x8C9, offset: 0x8C9, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x4FAF0, symBinAddr: 0xC1A0, symSize: 0x0 }
  - { offsetInCU: 0x8E2, offset: 0x8E2, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x4FAF4, symBinAddr: 0xC1A4, symSize: 0x0 }
  - { offsetInCU: 0x8FB, offset: 0x8FB, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x4FAF8, symBinAddr: 0xC1A8, symSize: 0x0 }
  - { offsetInCU: 0x8EEA, offset: 0x8EEA, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x4FB00, symBinAddr: 0xC1B0, symSize: 0x0 }
  - { offsetInCU: 0x8F73, offset: 0x8F73, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x4FB18, symBinAddr: 0xC1C8, symSize: 0x0 }
  - { offsetInCU: 0x8F8C, offset: 0x8F8C, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x4FB20, symBinAddr: 0xC1D0, symSize: 0x0 }
  - { offsetInCU: 0x8FA5, offset: 0x8FA5, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x4FB28, symBinAddr: 0xC1D8, symSize: 0x0 }
  - { offsetInCU: 0x8FBE, offset: 0x8FBE, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x4FB30, symBinAddr: 0xC1E0, symSize: 0x0 }
  - { offsetInCU: 0x8FD8, offset: 0x8FD8, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x4FB38, symBinAddr: 0xC1E8, symSize: 0x0 }
  - { offsetInCU: 0x90BE, offset: 0x90BE, size: 0x8, addend: 0x0, symName: __ZL8meth_tab, symObjAddr: 0xDBE0, symBinAddr: 0x8020, symSize: 0x0 }
  - { offsetInCU: 0x910C, offset: 0x910C, size: 0x8, addend: 0x0, symName: __ZL2m0, symObjAddr: 0xDC10, symBinAddr: 0xC080, symSize: 0x0 }
  - { offsetInCU: 0x9131, offset: 0x9131, size: 0x8, addend: 0x0, symName: __ZL2m1, symObjAddr: 0xDC20, symBinAddr: 0xC090, symSize: 0x0 }
  - { offsetInCU: 0x9156, offset: 0x9156, size: 0x8, addend: 0x0, symName: __ZL6result, symObjAddr: 0x4FB7C, symBinAddr: 0xC1FC, symSize: 0x0 }
  - { offsetInCU: 0x9176, offset: 0x9176, size: 0x8, addend: 0x0, symName: __ZL5jvmti, symObjAddr: 0x4FB80, symBinAddr: 0xC200, symSize: 0x0 }
  - { offsetInCU: 0x918F, offset: 0x918F, size: 0x8, addend: 0x0, symName: __ZL4caps, symObjAddr: 0x4FB88, symBinAddr: 0xC208, symSize: 0x0 }
  - { offsetInCU: 0x91E1, offset: 0x91E1, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x500, symBinAddr: 0x4810, symSize: 0x80 }
  - { offsetInCU: 0x9276, offset: 0x9276, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x450, symBinAddr: 0x4760, symSize: 0xB0 }
  - { offsetInCU: 0x92D1, offset: 0x92D1, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x330, symBinAddr: 0x4660, symSize: 0x100 }
  - { offsetInCU: 0x9564, offset: 0x9564, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x640, symBinAddr: 0x4890, symSize: 0x220 }
  - { offsetInCU: 0x9749, offset: 0x9749, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x860, symBinAddr: 0x4AB0, symSize: 0xA0 }
  - { offsetInCU: 0x97FC, offset: 0x97FC, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x920, symBinAddr: 0x4B50, symSize: 0x110 }
  - { offsetInCU: 0x98F2, offset: 0x98F2, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0xAC0, symBinAddr: 0x4C60, symSize: 0x150 }
  - { offsetInCU: 0x9A23, offset: 0x9A23, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x1830, symBinAddr: 0x4DB0, symSize: 0x30 }
  - { offsetInCU: 0x9AAC, offset: 0x9AAC, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x1CC0, symBinAddr: 0x4DE0, symSize: 0x150 }
  - { offsetInCU: 0x9CA4, offset: 0x9CA4, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x1E10, symBinAddr: 0x4F30, symSize: 0x160 }
  - { offsetInCU: 0x9E30, offset: 0x9E30, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x29F0, symBinAddr: 0x5090, symSize: 0x1B0 }
  - { offsetInCU: 0xA04B, offset: 0xA04B, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x2BA0, symBinAddr: 0x5240, symSize: 0xA0 }
  - { offsetInCU: 0xA11A, offset: 0xA11A, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x2F10, symBinAddr: 0x52E0, symSize: 0x20 }
  - { offsetInCU: 0xA151, offset: 0xA151, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x2F30, symBinAddr: 0x5300, symSize: 0x20 }
  - { offsetInCU: 0xA188, offset: 0xA188, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x2F50, symBinAddr: 0x5320, symSize: 0x20 }
  - { offsetInCU: 0xA2F7, offset: 0xA2F7, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x3660, symBinAddr: 0x5340, symSize: 0x1A0 }
  - { offsetInCU: 0xA61D, offset: 0xA61D, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x3DD0, symBinAddr: 0x54E0, symSize: 0x80 }
  - { offsetInCU: 0xA6E6, offset: 0xA6E6, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x3E50, symBinAddr: 0x5560, symSize: 0x6A0 }
  - { offsetInCU: 0xB27B, offset: 0xB27B, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0x9F90, symBinAddr: 0x6680, symSize: 0xB0 }
  - { offsetInCU: 0xB2F2, offset: 0xB2F2, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x44F0, symBinAddr: 0x5C00, symSize: 0x70 }
  - { offsetInCU: 0xB3E6, offset: 0xB3E6, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x5200, symBinAddr: 0x5C70, symSize: 0xA0 }
  - { offsetInCU: 0xB4E5, offset: 0xB4E5, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x6030, symBinAddr: 0x5D10, symSize: 0x40 }
  - { offsetInCU: 0xB5DB, offset: 0xB5DB, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x6070, symBinAddr: 0x5D50, symSize: 0x2B0 }
  - { offsetInCU: 0xB981, offset: 0xB981, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x6320, symBinAddr: 0x6000, symSize: 0xC0 }
  - { offsetInCU: 0xBAC7, offset: 0xBAC7, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x63E0, symBinAddr: 0x60C0, symSize: 0x10 }
  - { offsetInCU: 0xBB89, offset: 0xBB89, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x63F0, symBinAddr: 0x60D0, symSize: 0x220 }
  - { offsetInCU: 0xBE86, offset: 0xBE86, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x9C00, symBinAddr: 0x62F0, symSize: 0x10 }
  - { offsetInCU: 0xBEDC, offset: 0xBEDC, size: 0x8, addend: 0x0, symName: _Agent_Initialize, symObjAddr: 0x9C10, symBinAddr: 0x6300, symSize: 0xF0 }
  - { offsetInCU: 0xC05C, offset: 0xC05C, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x9D00, symBinAddr: 0x63F0, symSize: 0x10 }
  - { offsetInCU: 0xC0B2, offset: 0xC0B2, size: 0x8, addend: 0x0, symName: _checkMeth, symObjAddr: 0x9D10, symBinAddr: 0x6400, symSize: 0x220 }
  - { offsetInCU: 0xC231, offset: 0xC231, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_GetLineNumberTable_linetab001_check, symObjAddr: 0x9F30, symBinAddr: 0x6620, symSize: 0x60 }
  - { offsetInCU: 0xC2B4, offset: 0xC2B4, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xA040, symBinAddr: 0x6730, symSize: 0x36A }
...
